# repo.py
#
# Copyright (C) 2013 Tim Marston <tim@edm.am>
#
# This file is part of stdhome (hereafter referred to as "this program").
# See http://ed.am/dev/stdhome for more information.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import os
import the


class Repo:


	def __init__( self, name ):
		self.name = name
		self.dir = '%s/%s' % ( the.dir, self.name )
		self.expanded_dir = os.path.expanduser( self.dir )


	def check_dir_exists( self, should_exist = True ):
		condition = 'does not' if should_exist else 'already'
		if os.path.exists( self.expanded_dir ) != should_exist:
			raise the.program.FatalError(
				'repository %s exists: %s' % ( condition, self.dir ) )
